#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x
%bcond_without	systemd	# systemd inhibit service

Summary:	MATE power management service
Summary(pl.UTF-8):	Usługa zarządzania energią dla MATE
Name:		mate-power-manager
Version:	1.12.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	a47357915e38a84b6bccc6a8661eb042
URL:		http://wiki.mate-desktop.org/mate-power-manager
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.50.1
%{!?with_gtk3:BuildRequires:	libcanberra-gtk-devel >= 0.10}
%{?with_gtk3:BuildRequires:	libcanberra-gtk3-devel >= 0.10}
BuildRequires:	libgnome-keyring-devel >= 3.0.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool >= 2:2
%{!?with_gtk3:BuildRequires:	libunique-devel >= 0.9.4}
%{?with_gtk3:BuildRequires:	libunique3-devel >= 3.0}
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.9.0
BuildRequires:	mate-panel-devel >= 1.5.0
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(find_lang) >= 1.36
%{?with_systemd:BuildRequires:	systemd-devel >= 1:195}
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.9.5
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3.0
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.15
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	cairo >= 1.0.0
Requires:	dbus >= 1.0
Requires:	dbus-glib >= 0.70
Requires:	glib2 >= 1:2.36.0
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libcanberra-gtk >= 0.10
Requires:	libgnome-keyring >= 3.0.0
Requires:	libnotify >= 0.7.0
%{!?with_gtk3:Requires:	libunique >= 0.9.4}
%{?with_gtk3:Requires:	libunique3 >= 3.0}
Requires:	mate-desktop-libs >= 1.9.0
Requires:	mate-panel >= 1.5.0
Requires:	upower >= 0.9.5
Requires:	xorg-lib-libXrandr >= 1.3.0
Suggests:	udisks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/mate-panel

%description
MATE Power Manager uses the information and facilities provided by
UPower displaying icons and handling user callbacks in an interactive
MATE session.

%description -l pl.UTF-8
MATE Power Manager wykorzystuje informacje i funkcje udostępniane
przez UPower do wyświetlania ikon i obsługi reakcji użytkownika w
interaktywnej sesji MATE.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-applets \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk3:--with-gtk=3.0} \
	%{!?with_systemd:--without-systemdinhibit}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-power-manager.convert

%find_lang %{name} --with-mate

desktop-file-install \
	--delete-original \
	--remove-category=MATE \
	--add-category=X-Mate \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

# utility removed, drop man pages
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mate-power-manager-bugreport.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files  -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
/etc/xdg/autostart/mate-power-manager.desktop
%attr(755,root,root) %{_bindir}/mate-power-manager
%attr(755,root,root) %{_bindir}/mate-power-preferences
%attr(755,root,root) %{_bindir}/mate-power-statistics
%attr(755,root,root) %{_sbindir}/mate-power-backlight-helper
%attr(755,root,root) %{_libexecdir}/mate-brightness-applet
%attr(755,root,root) %{_libexecdir}/mate-inhibit-applet
%{_mandir}/man1/mate-power-backlight-helper.1*
%{_mandir}/man1/mate-power-manager.1*
%{_mandir}/man1/mate-power-preferences.1*
%{_mandir}/man1/mate-power-statistics.1*
%{_datadir}/%{name}
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.PowerManager.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BrightnessAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.InhibitAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_desktopdir}/mate-power-preferences.desktop
%{_desktopdir}/mate-power-statistics.desktop
%{_iconsdir}/hicolor/*/apps/mate-brightness-applet.*
%{_iconsdir}/hicolor/*/apps/mate-inhibit-applet.*
%{_iconsdir}/hicolor/*/apps/mate-power-manager.*
%{_iconsdir}/hicolor/*/apps/mate-power-statistics.*
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-power-manager.git;a=log;h=master

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> acb3915
- updated dependencies

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 57956e9
- up to 1.12.0

* Fri Sep 04 2015 Elan Ruusamäe <glen@delfi.ee> 1f2af4c
- 1.10.2 (2015-09-01)

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> 14b034c
- up to 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> c8f83dc
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)
- removed obsolete uidir,dbus_interface_keyboard_backlight_controls patches

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 4304b22
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c310cea
- updated gettext BR

* Sun Oct 19 2014 Jan Palus <atler@pld-linux.org> 0464e6f
- release 2 (by relup.sh)

* Wed Oct 01 2014 Jan Palus <atler@pld-linux.org> 2d6d191
- up to 1.8.1
- drop patches taken from git

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 84e9a99
- upower rebuild
- release 4 (by relup.sh)

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> aaa37e9
- cmn locale is supported now
- cleaned up scrollkeeper leftovers
- gtk3 bcond fixes

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 5d9cafb
- another round of patches of upower patches from fedora

* Wed Apr 16 2014 Jan Rękorajski <baggins@pld-linux.org> 51e6162
- added upower 0.99.0 support patches from fedora
- rel 2

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 37a92cc
- up to 1.8.0
- support for gnome-keyring added upstream (use-gnome-keyring.patch  removed)

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 60b9762
- pl, completed dependencies

* Tue Dec 17 2013 Jan Palus <jan.palus@gmail.com> 9e53773
- up to 1.6.3

* Thu Jul 25 2013 Jan Palus <jan.palus@gmail.com> baba632
- up to 1.6.2

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 1a88929
- release 2 (by relup.sh)

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> 224f5aa
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> a3efb26
- use 1.6.0 tarball

